{"title":"Create vendors","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_vendor_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_vendor_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_vendor_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a vendor object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":44,"chars":201},{"level":2,"title":"Request headers","slug":"request-headers","at":245,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":347,"chars":87},{"level":2,"title":"Response","slug":"response","at":434,"chars":122},{"level":2,"title":"Example","slug":"example","at":556,"chars":1814},{"level":2,"title":"Related information","slug":"related-information","at":2370,"chars":193}],"text":"Create a vendor object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/vendors\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a vendors object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a vendors object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/vendors\nContent-type: application/json\n\n{\n    \"id\": \"f7a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"number\": \"10000\",\n    \"displayName\": \"Fabrikam, Inc.\",\n    \"addressLine1\": \"10 North Lake Avenue\",\n    \"addressLine2\": \"\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"country\": \"US\",\n    \"postalCode\": \"31772\",\n    \"phoneNumber\": \"4255550101\",\n    \"email\": \"krystal.york@contoso.com\",\n    \"website\": \"www.royalmail.co.uk\",\n    \"taxRegistrationNumber\": \"\",\n    \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n    \"currencyCode\": \"USD\",\n    \"irs1099Code\": \"\",\n    \"paymentTermsId\": \"0aa5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"paymentMethodId\": \"3b196a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"taxLiable\": true,\n    \"blocked\": \" \"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"f7a5738a-44e3-ea11-bb43-000d3a2feca1\",\n  \"number\": \"10000\",\n  \"displayName\": \"Fabrikam, Inc.\",\n  \"addressLine1\": \"10 North Lake Avenue\",\n  \"addressLine2\": \"\",\n  \"city\": \"Atlanta\",\n  \"state\": \"GA\",\n  \"country\": \"US\",\n  \"postalCode\": \"31772\",\n  \"phoneNumber\": \"4255550101\",\n  \"email\": \"krystal.york@contoso.com\",\n  \"website\": \"www.royalmail.co.uk\",\n  \"taxRegistrationNumber\": \"\",\n  \"currencyId\": \"543131ab-508c-ed11-aada-000d3a298ab3\",\n  \"currencyCode\": \"USD\",\n  \"irs1099Code\": \"\",\n  \"paymentTermsId\": \"0aa5738a-44e3-ea11-bb43-000d3a2feca1\",\n  \"paymentMethodId\": \"3b196a90-44e3-ea11-bb43-000d3a2feca1\",\n  \"taxLiable\": true,\n  \"blocked\": \" \",\n  \"balance\": 0,\n  \"lastModifiedDateTime\": \"2015-11-09T02:14:32Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_vendor\ndynamics_vendor_get\ndynamics_vendor_delete\ndynamics_vendor_update"}